Skip to navigation

Get a new upload URL for a BUCKET file that is still CREATED

Requires the FILE.METER_DATA.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
resourceobject or nullOptional
methodstring or nullOptionalRead-only
urlstring or nullOptionalRead-only
headersmap from strings to strings or nullOptionalRead-only

Headers to send with the upload exactly as given; they are part of the signature

expire_atstring or nullOptionalRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error